#!/bin/env python
import os,sys,argparse
import pyuppaal
import util

def args_parsing(args):

    argparser = argparse.ArgumentParser(prog=os.path.basename(args[0]))
    argparser.add_argument('uppaalfile', help='uppaal file given as input')
    argparser.add_argument('pdffile',nargs='?',default='', help='pdf file used as output')

    parse_result=argparser.parse_args(args[1:])
    
    uppaalfile=os.path.abspath(parse_result.uppaalfile).replace('\\','/')
    util.check_isreadablefile(uppaalfile)
    if parse_result.pdffile: 
        pdffile=os.path.abspath(parse_result.pdffile).replace('\\','/')
    else:
        pdffile=uppaalfile+".pdf" 
    return  (uppaalfile,pdffile)

def main(args):
    (in_uppaalfile,out_pdffile)=args_parsing(args)
    print "uppaalToPdf: " + in_uppaalfile + " -> " + out_pdffile
    uppaalModel=pyuppaal.from_xml(in_uppaalfile)
    uppaalModel.templates[0].export_png(outfile=out_pdffile)

    



if __name__ == "__main__":
    main(sys.argv)


